XnModuleErrorStateInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnStatus(* | GetErrorState )(XnModuleNodeHandle hInstance)
XnStatus(* | RegisterToErrorStateChange )(XnModuleNodeHandle hInstance, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromErrorStateChange )(XnModuleNodeHandle hInstance, XnCallbackHandle hCallback)

## Member Data Documentation

## GetErrorState

XnStatus(* XnModuleErrorStateInterface::GetErrorState) (XnModuleNodeHandle hInstance)

Gets current error state of this node.

Parameters

  hInstance | [in] A handle to the instance.

## RegisterToErrorStateChange

XnStatus(* XnModuleErrorStateInterface::RegisterToErrorStateChange) (XnModuleNodeHandle hInstance, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)

Registers a callback function to error state changes.

Parameters

  hInstance | [in] A handle to the instance.
  handler | [in] A pointer to a function that will be called when lock changes.
  pCookie | [in] A user cookie that will be passed to the callback function.
  phCallback | [out] Optional. Will be filled with a handle to be passed to UnregisterFromErrorStateChange().

## UnregisterFromErrorStateChange

void(* XnModuleErrorStateInterface::UnregisterFromErrorStateChange) (XnModuleNodeHandle hInstance, XnCallbackHandle hCallback)

Unregisters a callback function which was registered using RegisterToErrorStateChange().

Parameters

  hInstance | [in] A handle to the instance.
  hCallback | [in] The handle to the callback returned from RegisterToErrorStateChange().

The documentation for this struct was generated from the following file:

- XnModuleInterface.h